function init(args)
	entity.setInteractive(true)
end

function onInteraction(args)
	local math = math
	local seed = world.day() + math.ceil(world.time() * 1000000)
	math.randomseed(seed)

	entity.smash()
	
	local backitemTable = {
		"crewcardapexai",
		"crewcardavianai",
		"crewcardbiomeasteroid",
		"crewcardbiomedesert",
		"crewcardbiomegrass",
		"crewcardbiomejungle",
		"crewcardbiomemagma",
		"crewcardbiomemoon",
		"crewcardbiomesnow",
		"crewcardbiometentacle",
		"crewcardbugnet",
		"crewcardchicken",
		"crewcarddog",
		"crewcarddrills",
		"crewcardflashlight",
		"crewcardfloranai",
		"crewcardfrogmerchant",
		"crewcardglitchai",
		"crewcardhumanai",
		"crewcardhylotlai",
		"crewcardmattermanipulator",
		"crewcardmolemerchant",
		"crewcardnovakidai",
		"crewcardpenguinrobot",
		"crewcardpixels",
		"crewcardpo",
		"crewcardrobotchicken",
		"crewcardpickaxes",
		"crewcardufo",
		"crewcardchicken2",
		"crewcarddog2",
		"crewcarddrills2",
		"crewcardflashlight2"
	}
	local randomBackItemSeed = math.random(1,#backitemTable)
	local backitemloot = backitemTable[randomBackItemSeed]
	
	local lootTable = {
		{ ["item"]=backitemloot, 	 ["chance"]=100, ["amount"]=1, ["name"]="card" }
	}
	
	local reward = nil
	local lootName = nil
	local amount = 0
	local roll = math.random(0, 100)
	for i = 1, #lootTable do
		if(roll <= lootTable[i].chance) then
			reward = lootTable[i].item
			amount = lootTable[i].amount
			lootName = lootTable[i].name
			break
		end
	end
	
	if(reward ~= nil) then
		world.spawnItem(reward, entity.toAbsolutePosition({ 0.0, 2.0 }), amount)
		
		return
	end
	
	return { "ShowPopup", { message = "I got an empty pack...?" } }
end